Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.store
Class NewStoreEntry

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.store.NewStoreEntry

All Implemented Interfaces:
  java.lang.Cloneable, LRUAble

public class NewStoreEntry
extends AttributeHolder
implements LRUAble

Field Summary
`protected static int` | `ATTR_KEY`
`protected static int` | `ATTR_REPOSITORY`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`NewStoreEntry()`

Method Summary
`java.util.Enumeration` | `enumerateResourceIdentifiers()`
`protected java.lang.Integer` | `getKey()`
`LRUAble` | `getNext()`
`LRUAble` | `getPrev()`
`protected java.io.File` | `getRepository()`
`boolean` | `isTransient()`
`ResourceReference` | `lookupResource(java.lang.String identifier)` Lookup this resource.
`void` | `markModified(Resource resource)` FIXME doc
`void` | `removeResource(java.lang.String identifier)` Remove a resource from this resource store.
`void` | `renameResource(java.lang.String oldid, java.lang.String newid)` Rename a resource in this resource store.
`void` | `setNext(LRUAble next)`
`void` | `setPrev(LRUAble prev)`
`void` | `setTransient(boolean onoff)`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, getValue, initialize, initialize, lookupAttribute, pickleValues, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, setValue, unsafeGetValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_REPOSITORY

    protected static int ATTR_REPOSITORY

### ATTR_KEY

    protected static int ATTR_KEY

Constructor Detail

### NewStoreEntry

    public NewStoreEntry()

Method Detail

### getKey

    protected java.lang.Integer getKey()

### getRepository

    protected java.io.File getRepository()

### getNext

    public LRUAble getNext()

  Specified by:
    `getNext` in interface `LRUAble`

### getPrev

    public LRUAble getPrev()

  Specified by:
    `getPrev` in interface `LRUAble`

### setNext

    public void setNext(LRUAble next)

  Specified by:
    `setNext` in interface `LRUAble`

### setPrev

    public void setPrev(LRUAble prev)

  Specified by:
    `setPrev` in interface `LRUAble`

### setTransient

    public void setTransient(boolean onoff)

### isTransient

    public boolean isTransient()

### lookupResource

    public ResourceReference lookupResource(java.lang.String identifier)

  Lookup this resource.

  Parameters:
    `identifier` - The resource identifier.
  Returns:
    A Resource instance, or null if either the resource doesn't exist, or it isn't loaded yet.

### markModified

    public void markModified(Resource resource)

  FIXME doc

### renameResource

    public void renameResource(java.lang.String oldid,
                               java.lang.String newid)

  Rename a resource in this resource store.

### enumerateResourceIdentifiers

    public java.util.Enumeration enumerateResourceIdentifiers()

### removeResource

    public void removeResource(java.lang.String identifier)

  Remove a resource from this resource store.

  Parameters:
    `identifier` - The identifier of the resource to be removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD